Loading...
Searching...
No Matches
Dune::SeqOverlappingSchwarzAssemblerHelper< DynamicMatrixSubdomainSolver< BCRSMatrix< K, Al >, X, Y >, false > Struct Template Reference
Iterative Solvers Template Library (ISTL) » Iterative Solvers » Preconditioners

`#include <dune/istl/overlappingschwarz.hh>`

Inheritance diagram for Dune::SeqOverlappingSchwarzAssemblerHelper< DynamicMatrixSubdomainSolver< BCRSMatrix< K, Al >, X, Y >, false >:

## Public Types

typedef BCRSMatrix< K, Al > | matrix_type

## Static Public Member Functions

template<class RowToDomain, class Solvers, class SubDomains>
static std::size_t | assembleLocalProblems (const RowToDomain &rowToDomain, const matrix_type &mat, Solvers &solvers, const SubDomains &domains, bool onTheFly)

## Static Public Attributes

static constexpr size_t | n = std::decay_t<decltype(Impl::asMatrix(std::declval<K>()))>::rows

## Member Typedef Documentation

## matrix_type

template<class K, class Al, class X, class Y>

typedef BCRSMatrix< K, Al> Dune::SeqOverlappingSchwarzAssemblerHelper< DynamicMatrixSubdomainSolver< BCRSMatrix< K, Al >, X, Y >, false >::matrix_type

## Member Data Documentation

## n

template<class K, class Al, class X, class Y>

size_t Dune::SeqOverlappingSchwarzAssemblerHelper< DynamicMatrixSubdomainSolver< BCRSMatrix< K, Al >, X, Y >, false >::n = std::decay_t<decltype(Impl::asMatrix(std::declval<K>()))>::rows

static constexpr

The documentation for this struct was generated from the following file:

- overlappingschwarz.hh